var wxlog = wx.getRealtimeLogManager ? wx.getRealtimeLogManager() : null

module.exports = {
    debug() {
        if (!wxlog) return
        wxlog.debug.apply(wxlog, arguments)
    },
    info() {
        if (!wxlog){
            console.log('没有实时日志');
            return

        }
        wxlog.info.apply(wxlog, arguments)
    },
    warn() {
        if (!wxlog) return
        wxlog.warn.apply(wxlog, arguments)
    },
    error() {
        if (!wxlog) return
        wxlog.error.apply(wxlog, arguments)
    },
    setFilterMsg(msg) { // 从基础库2.7.3开始支持
        if (!wxlog || !wxlog.setFilterMsg) return
        if (typeof msg !== 'string') return
        wxlog.setFilterMsg(msg)
    },
    addFilterMsg(msg) { // 从基础库2.8.1开始支持
        if (!wxlog || !wxlog.addFilterMsg) return
        if (typeof msg !== 'string') return
        wxlog.addFilterMsg(msg)
    }
}